Skip to Content
Chameleon Docs

Regenerate asset

Makes one region's asset again from the saved labels and image settings. A picture region is rendered; a text region's entry is rewritten from the labels. The entry is merged into the asset index as it is saved when the render ends. Refused while a job runs on the manual.

POST
/api/manuals/{id}/assets/{regionId}/regenerate

Makes one region's asset again from the saved labels and image settings.

A picture region is rendered; a text region's entry is rewritten from the labels. The entry is merged into the asset index as it is saved when the render ends. Refused while a job runs on the manual.

Authorization

headerx-api-key<token>

Scope: manuals:write

Path Parameters

id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
regionId*string
Match^[A-Za-z0-9_-]{1,64}$

Response Body

The asset as the index now holds it

application/json
  1. response
asset*|
version*integer
link*|null
Example Request
curl -X POST 'https://www.chameleonlabs.org/api/manuals/string/assets/string/regenerate'
Example Response
{  "asset": {    "id": "string",    "page": 1,    "name": "string",    "labelType": "string",    "count": 1,    "link": "string",    "parent": "string",    "groups": [      "string"    ],    "fingerprint": "string",    "producedBy": {      "process": "breakdown",      "jobId": "string"    },    "kind": "picture",    "picture": {      "src": "string",      "hash": "string",      "width": 1,      "height": 1,      "scale": 1,      "origin": [        -100000,        -100000      ],      "resolution": 1,      "measures": {        "clearShare": 0,        "holeShare": 0,        "smallHoles": 0,        "edgeShare": 0,        "specksDropped": 0      }    }  },  "version": 0,  "link": {    "url": "http://example.com",    "expiresAt": "2019-08-24T14:15:22Z"  }}